Bug 36057 - Docs don't mention that time format using [] is needed to show hours non-modulo 24
Summary: Docs don't mention that time format using [] is needed to show hours non-modu...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium minor
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:4.1.0 target:4.0.0.0.beta0
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-07 09:52 UTC by Karl O. Pinc
Modified: 2012-12-13 14:44 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karl O. Pinc 2011-04-07 09:52:32 UTC
Hi,

I'm using Calc

OpenOffice.org 3.2.1 
OOO320m19 (Build:9505)
ooo-build 3.2.1.4, Debian package 1:3.2.1-11+squeeze2

running on Debian stable (6.0, Squeeze) but figured I'd report
the problem here.

(I can't seem to find the on-line help on the web.
I looked in: 

git://anongit.freedesktop.org/libreoffice/help/helpcontent2/source/text/shared/01/05020301.xhp

and the problem does not seem to be resolved.)

I've looked and can't find any mention in the on-line help
that the time formatting [hh]:mm differs from hh:mm.  The
difference matters when the hours are larger than 23,
as when using sum() to total a time column.  When the
square brackets are missing the hours are displayed modulo
24.  When the brackets are present the true total is shown
(whether positive or negative).
Comment 1 Jan Holesovsky 2011-04-14 04:49:59 UTC
Karl: The best would be to provide a patch against the 05020301.xhp
 file, and we could incorporate it.  How to provide a patch is described here:

http://wiki.documentfoundation.org/Development/Patch_Handling_Guideline
Comment 2 Karl O. Pinc 2011-04-14 07:43:34 UTC
Ok.  But I'm a bit confused as to the structure of the help
source.  I'm guessing that, because it's in the repo,
I should modify git://anongit.freedesktop.org/libreoffice/help/
helpcontent2/source/text/shared/01/05020301.xhp
-- that this is source and not something generated.
But I note that all the, e.g., paragraph elements have
id attributes that look like id="par_id3156039".

How do I know what to assign as an id value?

It's also not clear to me where/what the DTD is.
I think I can wing it just using what exists as
an example but it might be nice to know what,
e.g., role attributes are available.  (In fact
it never hurts to know exactly what you're doing. :)

Thanks.

---

P.S. What's with the Oracle copyrights?  Obviously,
they do hold the copyright but should there be
additional legalese added to a modified file?
Comment 4 Not Assigned 2012-12-13 13:05:07 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=2700032f791ae80431ec7dc3429a963afa709fde

Revert "fdo#36057 time format using [] is needed to show hours non-modulo 24"



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Not Assigned 2012-12-13 14:44:36 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=826c8b68ba2271d08ed083185c00f3a0680c97e6&g=libreoffice-4-0

Revert "fdo#36057 time format using [] is needed to show hours non-modulo 24"


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.